<head>
    <title>LSV - Actualities</title>
</head>

{% extends "base.html" %}
{% load static %}

{% block content %}

    <div>
        <h2> Actualities. </h2>
        <div style="text-align: center; margin-top: 10px; margin-bottom: 10px">
            <button onclick='location.href="{% url "club:new_actuality"  %}"' type="button">Create new Actuality</button>
        </div>
        {% for actuality in actualities %}

        <div class="actuality-b">
            <a class="black" href="{% url 'club:actuality' actuality.id %}">
            <div style="text-align: center">
                <h3>{{ actuality.topic }}</h3>
            </div>

            <div class="row justify-content-md-center">
                <div class="col-sm-8">
                    <div style="min-height: 100px">
                        <p style="padding-bottom: 10px">{{ actuality.story|truncatechars:400 }}</p>
                        <div class="actuality-date">
                        <p class="actuality-sign">Created {{ actuality.created|date:'H:i j-n-Y' }} by user {{ actuality.author }}.</p>
                        {% if not actuality.modified == actuality.created %}
                            <p class="actuality-sign">Last modification: {{ actuality.modified|date:'H:i j-n-Y' }}.</p>
                        {% endif %}
                        </div>
                    </div>


                </div>

                <div class="col-sm-4 actuality-image">
                    {% if actuality.image %}
                        <img src="{{ actuality.image.url }}" class="actuality-image" alt="Item image">
                    {% endif %}
                </div>
            </div>
            </a>

        {% if actuality.author == user %}
        <div style="text-align: center; margin-top: 10px; margin-bottom: 10px">
            <button onclick='location.href="{% url "club:edit_actuality" actuality.id %}"' type="button">Edit actuality</button>
        </div>
        {% endif %}

        </div>
        {% endfor %}
    </div>

{% endblock %}
